## podiff 1.4

=== Makefile ===
# This file is part of PODIFF.
# Copyright (C) 2011-2022 Sergey Poznyakoff
#
# PODIFF is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# PODIFF is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this PODIFF.  If not, see <http://www.gnu.org/licenses/>.

PACKAGE=podiff
VERSION=1.4

PREFIX=/usr
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

SOURCES=y.tab.c lex.yy.c main.c txtacc.c list.c
OBJECTS=$(SOURCES:.c=.o)
HEADERS=podiff.h
YACCSRC=podiff.y podiff.l
BUILT_FILES=lex.yy.c y.tab.c y.tab.h
MANFILES=podiff.1
EXTRA_DIST=COPYING README NEWS

CFLAGS=-ggdb
LIBS=

podiff: $(OBJECTS)
	cc $(CFLAGS) -opodiff $(OBJECTS) $(LIBS)

y.tab.c y.tab.h: podiff.y
	yacc -dt podiff.y

lex.yy.c: podiff.l
	flex podiff.l

$(OBJECTS): podiff.h

y.tab.o lex.yy.o: podiff.h

.c.o:
	cc -c $(CFLAGS) -DVERSION=\"$(VERSION)\" $<

clean:
	rm -f podiff *.o *~ $(PACKAGE)-$(VERSION)

allclean: clean
	rm -f $(BUILT_FILES)

LSFILES=find . -type f | sort 

distdir: $(BUILT_FILES)
	test -d $(PACKAGE)-$(VERSION) && rm -r $(PACKAGE)-$(VERSION); \
	mkdir $(PACKAGE)-$(VERSION); \
	cp $(SOURCES) $(YACCSRC) $(HEADERS) \
           $(BUILT_FILES) $(MANFILES) $(EXTRA_DIST) Makefile \
           $(PACKAGE)-$(VERSION); \
	cd $(PACKAGE)-$(VERSION); \
	touch .before .after; \
	$(LSFILES) > .before; \
	make; \
	make clean; \
	$(LSFILES) > .after; \
	files_left=`diff .before .after | sed -n 's/^> //p'`; \
	if test -n "$$files_left"; then \
		text="Files left after make clean:"; \
		echo $$text | sed 's/./=/g' >&2; \
		echo $$text >&2; \
		echo $$text | sed 's/./-/g' >&2; \
		echo $$files_left >&2; \
		echo $$text | sed 's/./=/g' >&2; \
		exit 1; \
	else \
		rm .before .after; \
	fi

dist: distdir
	tar cfhz $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)

install-bin: podiff
	cp podiff $(DESTDIR)$(BINDIR)

install-man: $(MANFILES)
	for file in $(MANFILES); \
	do \
		sec=`expr "$$file" : '.*\.\([1-8]\)'`; \
		cp $$file $(DESTDIR)$(MANDIR)/man$$sec; \
	done

install: install-bin install-man

=== debian/changelog ===
podiff (1.4-3) unstable; urgency=medium

  * Fix metadata Repository and Repository-Browse fields
  * Remove modifying CFLAGS in Makefile in the patch
  * Fix CFLAGS usage in rules/Makefile

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 11 Sep 2024 17:46:32 +0200

podiff (1.4-2) unstable; urgency=medium

  * Upload to unstable to allow migration to testing
  * Add Vcs-Git and Vcs-Browser fields

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 08 Sep 2024 20:24:52 +0200

podiff (1.4-1) experimental; urgency=medium

  * Initial release. (Closes: #1080367)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 07 Sep 2024 17:27:20 +0200

=== debian/control ===
Source: podiff
Maintainer: Andreas Rönnquist <gusnan@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gettext
Rules-Requires-Root: no
Homepage: http://puszcza.gnu.org.ua/software/podiff
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/podiff.git
Vcs-Browser: https://salsa.debian.org/debian/podiff


Package: podiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compare textual information in two PO files
 The podiff utility finds differences in translatable strings and translations
 between two PO files or between two revisions of the same file. It uses diff
 to generate the output. Before comparing, it eliminates all comments and
 multiple empty lines, sorts the two files by their msgid and reformats all
 textual strings in a uniform manner. The utility is intended to help
 translators obtain meaningful information about changes they do to PO files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PACKAGE = $(shell dh_listpackages)

EXTERNAL_CFLAGS = $(CFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="${EXTERNAL_CFLAGS}"

override_dh_auto_install:
	install -d $$(pwd)/debian/$(PACKAGE)$(PREFIX)/usr/bin
	install -d $$(pwd)/debian/$(PACKAGE)$(PREFIX)/usr/share/man/man1
	$(MAKE) DESTDIR=$$(pwd)/debian/$(PACKAGE) PREFIX=/usr install

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.gnu.org.ua/pub/release/podiff/podiff-((?![latest]).*)\.tar\.gz
